<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: stat_info.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("S") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

include_once INCLUDES."bbcode_include.php";

if (!defined("IN_FUSION")) { header("Location:index.php"); exit; }

if (file_exists(INFUSIONS."stat_info/locale/".$settings['locale'].".php")) {
	include INFUSIONS."stat_info/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."stat_info/locale/Polish.php";
}

opentable($locale['sit001']);
echo "<table width='100%' border='1'>\n<tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit002']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit003']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si002']." ".dbcount("(user_id)", DB_USERS, "user_status<='1'")."<br />
".$locale['si003']." ".dbcount("(user_id)", DB_USERS, "user_status='2'")."<br />
".$locale['si004']." ".dbcount("(user_id)", DB_USERS, "user_status='1'")."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si025']." ".dbcount("(news_id)", DB_NEWS)."<br />
".$locale['si026']." ".dbcount("(news_cat_id)", DB_NEWS_CATS)."<br />
".$locale['si010']." ".dbcount("(article_id)", DB_ARTICLES)."<br />
".$locale['si011']." ".dbcount("(article_cat_id)", DB_ARTICLE_CATS)."<br />
".$locale['si014']." ".dbcount("(page_id)", DB_CUSTOM_PAGES)."<br />
</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit004']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit005']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si009']." ".dbcount("(message_id)", DB_MESSAGES)."<br />
".$locale['si022']." ".dbcount("(message_id)", DB_MESSAGES, "message_folder ='0'")."<br />
".$locale['si023']." ".dbcount("(message_id)", DB_MESSAGES, "message_folder ='1'")."<br />
".$locale['si024']." ".dbcount("(message_id)", DB_MESSAGES, "message_folder ='2'")."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si007']." ".dbcount("(post_id)", DB_POSTS)."<br />
".$locale['si019']." ".dbcount("(forum_id)", DB_FORUMS)."<br />
".$locale['si020']." ".dbcount("(rank_id)", DB_FORUM_RANKS)."<br />
".$locale['si031']." ".dbcount("(post_id)", DB_POSTS)."<br />
</div>\n</td>\n</tr><tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit006']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit007']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si008']." ".dbcount("(photo_id)", DB_PHOTOS)."<br />
".$locale['si029']." ".dbcount("(album_id)", DB_PHOTO_ALBUMS)."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si015']." ".dbcount("(download_id)", DB_DOWNLOADS)."<br />
".$locale['si016']." ".dbcount("(download_cat_id)", DB_DOWNLOAD_CATS)."<br />
</div>\n</td>\n</tr><tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit008']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit009']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si032']." ".dbcount("(weblink_id)", DB_WEBLINKS)."<br />
".$locale['si033']." ".dbcount("(weblink_cat_id)", DB_WEBLINK_CATS)."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si012']." ".dbcount("(blacklist_ip)", DB_BLACKLIST)."<br />
".$locale['si013']." ".dbcount("(blacklist_email)", DB_BLACKLIST)."<br />
</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit010']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit011']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si021']." ".dbcount("(admin_id)", DB_ADMIN, "admin_page='4'")."<br />
".$locale['si027']." ".dbcount("(online_user)", DB_ONLINE)."<br />
".$locale['si028']." ".dbcount("(panel_id)", DB_PANELS)."<br />
".$locale['si030']." ".dbcount("(poll_id)", DB_POLLS)."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si005']." ".dbcount("(comment_id)", DB_COMMENTS)."<br />
".$locale['si034']." ".dbcount("(comment_id)", DB_COMMENTS, "comment_type='A'")."<br />
".$locale['si035']." ".dbcount("(comment_id)", DB_COMMENTS, "comment_type='N'")."<br />
".$locale['si036']." ".dbcount("(comment_id)", DB_COMMENTS, "comment_type='C'")."<br />
".$locale['si037']." ".dbcount("(comment_id)", DB_COMMENTS, "comment_type='P'")."<br />
</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit012']."
</b>\n</div>\n</td>\n<td>\n<div style='text-align: center;'>\n<b>
".$locale['sit013']."
</b>\n</div>\n</td>\n</tr>\n<tr>\n<td>\n<div style='text-align: center;'>
".$locale['si006']." ".dbcount("(shout_id)", DB_SHOUTBOX)."<br />
</div>\n</td>\n<td>\n<div style='text-align: center;'>
".$locale['si017']." ".dbcount("(faq_id)", DB_FAQS)."<br />
".$locale['si018']." ".dbcount("(faq_cat_id)", DB_FAQ_CATS)."<br />
</div>\n</td>\n</tr>\n</table>\n";
closetable();
closeside();
require_once THEMES."templates/footer.php";
?>